Page MenuHomePhabricator

Use <del> inside <p data-diff-action="remove"> in VisualDiffs
Closed, ResolvedPublic1 Story Points

Description

Is it possible to add the <del> tag inside paragraphs that are <p data-diff-action="remove">? This would make the interface consistent with simple word removals and more accessible.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (31ed22557)
VisualEditor/VisualEditor : masterVisualDiff: Use <del> and <ins> on whole paragraphs

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 10 2017, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Normal priority.Jul 10 2017, 2:29 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 364326 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] VisualDiff: Use <del> and <ins> on whole paragraphs

https://gerrit.wikimedia.org/r/364326

TheDJ awarded a token.Jul 11 2017, 7:52 AM
Deskana set the point value for this task to 1.Jul 13 2017, 9:22 AM

Change 364326 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] VisualDiff: Use <del> and <ins> on whole paragraphs

https://gerrit.wikimedia.org/r/364326

Change 365423 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a0a86ff48)

https://gerrit.wikimedia.org/r/365423

Jdforrester-WMF closed this task as Resolved.Jul 16 2017, 8:53 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 16 2017, 8:53 PM

Change 365423 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (31ed22557)

https://gerrit.wikimedia.org/r/365423